Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
Cloo.Bindings.CL11 Class Reference

Contains bindings to the OpenCL 1.1 functions. More...

Inheritance diagram for Cloo.Bindings.CL11:

List of all members.

## Static Public Member Functions
static CLMemoryHandle | CreateSubBuffer (CLMemoryHandle buffer, ComputeMemoryFlags flags, ComputeBufferCreateType buffer_create_type, ref SysIntX2 buffer_create_info, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | SetMemObjectDestructorCallback (CLMemoryHandle memobj, ComputeMemoryDestructorNotifer pfn_notify, IntPtr user_data)
| See the OpenCL specification.
static CLEventHandle | CreateUserEvent (CLContextHandle context, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | SetUserEventStatus (CLEventHandle @event, Int32 execution_status)
| See the OpenCL specification.
static ComputeErrorCode | SetEventCallback (CLEventHandle @event, Int32 command_exec_callback_type, ComputeEventCallback pfn_notify, IntPtr user_data)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueReadBufferRect (CLCommandQueueHandle command_queue, CLMemoryHandle buffer,[MarshalAs(UnmanagedType.Bool)] bool blocking_read, ref SysIntX3 buffer_offset, ref SysIntX3 host_offset, ref SysIntX3 region, IntPtr buffer_row_pitch, IntPtr buffer_slice_pitch, IntPtr host_row_pitch, IntPtr host_slice_pitch, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueWriteBufferRect (CLCommandQueueHandle command_queue, CLMemoryHandle buffer,[MarshalAs(UnmanagedType.Bool)] bool blocking_write, ref SysIntX3 buffer_offset, ref SysIntX3 host_offset, ref SysIntX3 region, IntPtr buffer_row_pitch, IntPtr buffer_slice_pitch, IntPtr host_row_pitch, IntPtr host_slice_pitch, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueCopyBufferRect (CLCommandQueueHandle command_queue, CLMemoryHandle src_buffer, CLMemoryHandle dst_buffer, ref SysIntX3 src_origin, ref SysIntX3 dst_origin, ref SysIntX3 region, IntPtr src_row_pitch, IntPtr src_slice_pitch, IntPtr dst_row_pitch, IntPtr dst_slice_pitch, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
new static ComputeErrorCode | SetCommandQueueProperty (CLCommandQueueHandle command_queue, ComputeCommandQueueFlags properties,[MarshalAs(UnmanagedType.Bool)] bool enable, out ComputeCommandQueueFlags old_properties)
| See the OpenCL specification.

## Detailed Description

Contains bindings to the OpenCL 1.1 functions.

See the OpenCL specification for documentation regarding these functions.

## Member Function Documentation

static CLMemoryHandle Cloo.Bindings.CL11.CreateSubBuffer | ( | CLMemoryHandle | buffer,
|  | ComputeMemoryFlags | flags,
|  | ComputeBufferCreateType | buffer_create_type,
|  | ref SysIntX2 | buffer_create_info,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLEventHandle Cloo.Bindings.CL11.CreateUserEvent | ( | CLContextHandle | context,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL11.EnqueueCopyBufferRect | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | src_buffer,
|  | CLMemoryHandle | dst_buffer,
|  | ref SysIntX3 | src_origin,
|  | ref SysIntX3 | dst_origin,
|  | ref SysIntX3 | region,
|  | IntPtr | src_row_pitch,
|  | IntPtr | src_slice_pitch,
|  | IntPtr | dst_row_pitch,
|  | IntPtr | dst_slice_pitch,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL11.EnqueueReadBufferRect | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | buffer,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_read,
|  | ref SysIntX3 | buffer_offset,
|  | ref SysIntX3 | host_offset,
|  | ref SysIntX3 | region,
|  | IntPtr | buffer_row_pitch,
|  | IntPtr | buffer_slice_pitch,
|  | IntPtr | host_row_pitch,
|  | IntPtr | host_slice_pitch,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL11.EnqueueWriteBufferRect | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | buffer,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_write,
|  | ref SysIntX3 | buffer_offset,
|  | ref SysIntX3 | host_offset,
|  | ref SysIntX3 | region,
|  | IntPtr | buffer_row_pitch,
|  | IntPtr | buffer_slice_pitch,
|  | IntPtr | host_row_pitch,
|  | IntPtr | host_slice_pitch,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

new static ComputeErrorCode Cloo.Bindings.CL11.SetCommandQueueProperty | ( | CLCommandQueueHandle | command_queue,
|  | ComputeCommandQueueFlags | properties,
|  | [MarshalAs(UnmanagedType.Bool)] bool | enable,
|  | out ComputeCommandQueueFlags | old_properties
| ) |  | `[static]`

See the OpenCL specification.

Reimplemented from Cloo.Bindings.CL10.

static ComputeErrorCode Cloo.Bindings.CL11.SetEventCallback | ( | CLEventHandle @ | event,
|  | Int32 | command_exec_callback_type,
|  | ComputeEventCallback | pfn_notify,
|  | IntPtr | user_data
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL11.SetMemObjectDestructorCallback | ( | CLMemoryHandle | memobj,
|  | ComputeMemoryDestructorNotifer | pfn_notify,
|  | IntPtr | user_data
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL11.SetUserEventStatus | ( | CLEventHandle @ | event,
|  | Int32 | execution_status
| ) |  | `[static]`

See the OpenCL specification.

The documentation for this class was generated from the following file:

- Cloo/Source/Bindings/CL11.cs